[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "d2v_infer"
version = "0.0.1a"
description = "data2vec 2.0 for inference"
readme = "README.md"
requires-python = ">=3.8"
authors =  [
    {name = "Suno Inc", email = "hello@suno.ai"},
]
# Apache 2.0
license = {file = "LICENSE"}

dependencies = [
    "torch",
]

[project.urls]
source = "https://github.com/suno-ai/hoot"

[project.optional-dependencies]
dev = [
    "bandit",
    "black",
    "codecov",
    "flake8",
    "isort>=5.0.0,<6",
    "mypy",
    "nbconvert",
    "nbformat",
    "pydocstyle",
    "pylint",
    "pytest",
    "pytest-cov",
]

[tool.black]
line-length = 100
